Bug 16176 - t/db_dependent/UsageStats.t is failing
Summary: t/db_dependent/UsageStats.t is failing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 6624
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-31 07:26 UTC by Jonathan Druart
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16176: Fix a test about OpenLibrarySearch (888 bytes, patch)
2016-03-31 07:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16176: Fix a test about OpenLibrarySearch (941 bytes, patch)
2016-04-01 00:35 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 16176: Fix a test about OpenLibrarySearch (1.13 KB, patch)
2016-04-01 08:12 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-03-31 07:26:33 UTC

    
Comment 1 Jonathan Druart 2016-03-31 07:28:44 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2016-04-01 00:35:32 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2016-04-01 08:12:01 UTC
Created attachment 49774 [details] [review]
Bug 16176: Fix a test about OpenLibrarySearch

Introduced by bug 6624: When C4::UsageStats::BuildReport is modified,
the tests should be too.

Test plan:
  prove t/db_dependent/UsageStats.t
should return green

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Note that if we maintain this list of sysprefs at two places, we will
probably have this test failing regularly..
Comment 4 Brendan Gallagher 2016-04-01 19:11:12 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 5 Julian Maurice 2016-04-07 08:18:47 UTC
Not needed in stable versions, status changed to RESOLVED